Loading...
Searching...
No Matches
SPHLFLogHeader_t Struct Reference

Instance of a Lock Free Logger Entry Header. More...

`#include <sphlflogger.h>`

## Public Attributes

sphLogEntry_t | entryID
sphpid16_t | PID
sphpid16_t | TID
sphtimer_t | timeStamp

## Detailed Description

Instance of a Lock Free Logger Entry Header.

Contains fields defining the standard timestamped entry header.

## Member Data Documentation

## entryID

sphLogEntry_t SPHLFLogHeader_t::entryID

Entry header detailes

## PID

sphpid16_t SPHLFLogHeader_t::PID

Process ID

## TID

sphpid16_t SPHLFLogHeader_t::TID

Thread ID

## timeStamp

sphtimer_t SPHLFLogHeader_t::timeStamp

High resolution 64-bit Time Stamp

The documentation for this struct was generated from the following file:

- src/sphlflogger.h